Bug 856354 - gdiplus.dll should be added to the list of system dll's
gdiplus.dll should be added to the list of system dll's
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mingw-nsiswrapper (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 16:34 EDT by Thomas Sailer
Modified: 2013-07-13 08:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-13 08:52:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2012-09-11 16:34:02 EDT
gdiplus.dll, which is required by:
/usr/i686-w64-mingw32/sys-root/mingw/bin/libgdk_pixbuf-2.0-0.dll

is missing from the list of system DLL's in /bin/nsiswrapper.
Comment 1 Erik van Pienbroek 2012-09-15 09:46:56 EDT
The nsiswrapper script currently contains a hard-coded list of about 20 system DLL's in the function 'is_windows_system_dll'. This list is too small. According to mingw-crt there are currently about 295 system DLL's for win32 and 1219 system DLL's for win64 (see the mingw-filesystem .spec file for an explanation how this list is generated)

Ideally this list should also be used by the function 'is_windows_system_dll' in nsiswrapper. However, as I don't have enough python coding skills to implement this I'm hoping somebody else can implement this.
Comment 2 Ivan Romanov 2012-09-15 10:23:14 EDT
Why you say 'python'?
nsiswrapper is perl script.
Comment 3 Erik van Pienbroek 2012-09-15 10:24:33 EDT
My bad, however I'm also unfamiliar with perl so my earlier comment still stands
Comment 4 Richard W.M. Jones 2012-09-15 10:31:37 EDT
Where should the list of DLLs be taken from?
Comment 5 Richard W.M. Jones 2012-09-15 10:32:26 EDT
(In reply to comment #4)
> Where should the list of DLLs be taken from?

By which I mean: I don't intend to copy the list into
nsiswrapper.pl.  The program should be changed so that it
looks at some authoritative source (a directory?) to find
the list.
Comment 6 Ivan Romanov 2012-09-15 10:39:57 EDT
Maybe such way:
rpm -q --provides mingw32-filesystem | grep '\.dll' | sed "s/mingw32(//" | sed "s/)//"

Idea got from mingw-filesystem.
Provides:       %(sed "s/\(.*\)/mingw64(\1) /g" %{SOURCE17} | tr "\n" " ")
Comment 7 Fedora End Of Life 2013-07-03 22:58:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Erik van Pienbroek 2013-07-12 06:17:21 EDT
Bug is still valid for f19/rawhide. Needs someone with perl experience to fix

Note You need to log in before you can comment on or make changes to this bug.